
endurox-java - Support #791

build warnings on ubuntu 22.04 java 1.8, gcc 11

09/27/2022 09:45 AM - Madars

Status: Closed Start date: 09/27/2022

Priority: Normal (Code 4) Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

38%] Building C object libsrc/c/CMakeFiles/exjava.dir/xaj.c.o

In file included from /home/user1/projects/endurox-java/libsrc/c/xaj.c:48:

/home/user1/projects/endurox-java/libsrc/c/xaj.c: In function ‘xa_xid_entry.constprop’:

/home/user1/projects/endurox-java/include/libsrc.h:107:5: warning: ‘free’ called on a pointer to an unallocated object ‘"no JNI

 exception"’ [-Wfree-nonheap-object]

  107 |     NDRX_FREE(jerr__);\

      |     ^~~~~~~~~

/home/user1/projects/endurox-java/libsrc/c/xaj.c:409:9: note: in expansion of macro ‘NDRXJ_LOG_EXCEPTION’

  409 |         NDRXJ_LOG_EXCEPTION((NDRXJ_JENV(ctxpriv)), log_error, NDRXJ_LOGEX_ULOG,

      |         ^~~~~~~~~~~~~~~~~~~

/home/user1/projects/endurox-java/libsrc/c/xaj.c: In function ‘ndrxj_xa_init’:

/home/user1/projects/endurox-java/include/libsrc.h:107:5: warning: ‘free’ called on a pointer to an unallocated object ‘"no JNI

 exception"’ [-Wfree-nonheap-object]

  107 |     NDRX_FREE(jerr__);\

      |     ^~~~~~~~~

/home/user1/projects/endurox-java/libsrc/c/xaj.c:231:9: note: in expansion of macro ‘NDRXJ_LOG_EXCEPTION’

  231 |         NDRXJ_LOG_EXCEPTION((NDRXJ_JENV(ctxpriv)), log_error, NDRXJ_LOGEX_ULOG,

      |         ^~~~~~~~~~~~~~~~~~~

/home/user1/projects/endurox-java/include/libsrc.h:107:5: warning: ‘free’ called on a pointer to an unallocated object ‘"no JNI

 exception"’ [-Wfree-nonheap-object]

  107 |     NDRX_FREE(jerr__);\

      |     ^~~~~~~~~

/home/user1/projects/endurox-java/libsrc/c/xaj.c:231:9: note: in expansion of macro ‘NDRXJ_LOG_EXCEPTION’

  231 |         NDRXJ_LOG_EXCEPTION((NDRXJ_JENV(ctxpriv)), log_error, NDRXJ_LOGEX_ULOG,

      |         ^~~~~~~~~~~~~~~~~~~

[ 39%] Building C object libsrc/c/CMakeFiles/exjava.dir/xaconfig.c.o

[ 40%] Building

History

#1 - 08/07/2023 09:55 AM - Madars

- Status changed from New to Resolved

- % Done changed from 0 to 100

Release notes

Fixed build warnings.

Available from Enduro/X for Java, release 8.0.2+.

#2 - 08/07/2023 09:55 AM - Madars

- Status changed from Resolved to Closed
